2019-02-16  Gavin Smith  <gavinsmith0123@gmail.com>

	6.6.

	* configure.ac, NEWS, util/texi2dvi, util/texi2pdf,
	doc/refcard/txirefcard.tex.

2019-02-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Update for git, no keyword expansion.

2019-02-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Tweak index formatting.

	* doc/texinfo.tex (\balancecolumns): Increase length that the 
	final column of an index can be without being split.  Move some 
	code and add a comment.
	(\doublecolumnout, \begindoublecolumns): Move a comment to where 
	it was supposed to be.  Add another comment.

2019-02-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Multi-line macro argument):
	Add note on how a bug might be fixed.

2019-02-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Do not end a sentence after an inserted '.'.

	* tp/Texinfo/Convert/Plaintext.pm (_convert) <ref commands>:
	Do not end a sentence after an inserted '.' after @xref.  @xref
	can easily constitute only the first part of a sentence.

2019-02-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Documentation of @pxref.

	* doc/texinfo.texi (@pxref): Do not encourage using @pxref 
	outside of parentheses.  "see @ref" is often preferable to 
	"@pxref".

2019-02-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Minor changes to info-stnd.texi.

	* doc/info-stnd.texi
	(Invoking Info): Use a consistent name for menu arguments.
	(Moving the Cursor): Change 'imprinted on' to 'printed on'.  
	Move a footnote reference to the end of a sentence.
	(Node Commands): Correct key used in description.
	(The Echo Area) <printing characters>: Do not mention this 
	command, as self-inserting characters are inserted with a 
	different part of the code.  Do not mention about checking 
	whether a Meta key is bound, as this only applies if ISO-Latin 
	is 'Off'.
	<echo-area-complete>: SPC is not bound to this command any more.
	<echo-area-possible-completions>: Merge text with documentation 
	of 'echo-area-complete'.  '?' does not run this command any 
	more.
	(Colors and Styles): Privilege American spelling of "color".
	Fix typo ("a cross-references").
	(Variables): Privilege American spelling of "behavior".

2019-02-11  Gavin Smith  <gavinsmith0123@gmail.com>

	pretest 6.5.93.

	* configure.ac: version

2019-02-11  Gavin Smith  <gavinsmith0123@gmail.com>

	Be less optimistic about HTML 3.2 compatibility.

	* doc/texinfo.texi (HTML Translation): Mention that <span> is 
	used.  Mention that 'id' atttibute is used.  Say that html32.pm 
	hasn't been tested recently.

2019-02-11  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix make update-po in out-of-source build.

	* Makefile.am (update-po): Remove reference to $srcdir.

2019-02-11  Gavin Smith  <gavinsmith0123@gmail.com>

	Use a single include directory in test suite.

	* tp/t/include_reference: Move all files to tp/t/include.

	* tp/Makefile.am,
	* tp/t/test_utils.pl (test),
	* tp/t/nodenormalization.t: Do not refer to tp/t/include_reference.

2019-02-11  Gavin Smith  <gavinsmith0123@gmail.com>

	Use section names in generated HTML menus.

	* tp/Texinfo/Structuring.pm (new_node_menu_entry): Add argument 
	saying whether to use the section name in the menu entry.
	(menu_of_node, _menu_of_node): Rename.
	(node_menu_of_node, section_menu_of_node): Two new functions 
	wrapping _menu_of_node.
	* tp/Texinfo/Convert/HTML.pm (_convert_heading_command):
	Call section_menu_of_node instead of menu_of_node.
	* tp/Texinfo/Convert/Plaintext.pm (_convert): Call 
	node_menu_of_node instead of menu_of_node.  This is the existing 
	behaviour.
	* NEWS: Mention change.

	* tp/Texinfo/Transformations.pm (complete_node_menu): Update.

2019-02-11  Gavin Smith  <gavinsmith0123@gmail.com>

	Advice on node names.

	* doc/texinfo.texi (Node Names): Mention that HTML filenames are 
	based on the node names.  Do not link to 'HTML Xref Link 
	Preservation' node.
	(@anchor): Remove link to the same node.

2019-02-10  Robert Pluim  <rpluim@gmail.com>

	* doc/texinfo.texi (Inserting):
	Document 'M-x texinfo-insert-dwim-@ref'.

2019-02-10  Gavin Smith  <gavinsmith0123@gmail.com>

	Deprecate MANUAL-noderename.cnf.

	* tp/Texinfo/Common.pm (collect_renamed_nodes): Give a warning 
	if a renamed nodes file is being used.
	* doc/texinfo.texi (HTML Xref Link Preservation),
	* NEWS: Document deprecation.

2019-02-10  Gavin Smith  <gavinsmith0123@gmail.com>

	No special CSS for @small* commands.

	* tp/Texinfo/Convert/HTML.pm
	(%css_map): Remove css for @smallexample etc.
	(%small_alias): New hash.
	(_convert): Use %small_alias to treat e.g. @smallexample exactly 
	the same as @example, so that no extra CSS is needed.
	(%default_commands_conversion): Do not add entries for some 
	@small* commands.
	(_convert_quotation_command): Do not check if the passed command 
	name is different to 'quotation', as it will not be.

	* doc/texinfo.texi (@small...): Do not say that @small...  
	commands produce a smaller font in HTML output.
	* NEWS: Mention change.

2019-02-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi: Wrap introductory comment in @ifinfo block.

2019-02-10  Gavin Smith  <gavinsmith0123@gmail.com>

	No colon in HTML menus.

	* tp/Texinfo/Convert/HTML.pm (%defaults) <MENU_ENTRY_COLON>:
	Set to ''.
	* doc/texinfo.texi (Other Customization Variables): Update.
	* NEWS: Mention change.

2019-02-04  Gavin Smith  <gavinsmith0123@gmail.com>

	Do not install useless static libraries.

	* tp/Texinfo/XS/Makefile.am (LT_INIT): Use option 'disable-static'.
	* NEWS: Mention change.

	Report from Eli Zaretskii.

2019-02-04  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove parsetexi typemap.

	* tp/Texinfo/XS/parsetexi/Parsetexi.xs,
	* tp/Texinfo/XS/parsetexi/api.c (get_root): Remove, as it is 
	unused and relies on casting a pointer to an integer.
	* tp/Texinfo/XS/parsetexi/typemap: Remove.
	* tp/Texinfo/XS/Makefile.am (XSUBPPARGS): Remove reference to 
	typemap file.
	(EXTRA_DIST): Distribute Parsetexi.xs.

	Eli Zaretskii reported a warning "cast from pointer to integer 
	of different size" when compiling on MS-Windows.

2019-02-04  Gavin Smith  <gavinsmith0123@gmail.com>

	Fixes for MS-Windows.

	* tp/Texinfo/XS/misc.c (xs_process_text): Add dTHX at start so 
	that realloc will work.
	* tp/Texinfo/XS/parsetexi/command_data.awk:
	Output "#undef CM_NONE" in command_ids.h.
	* tp/Texinfo/XS/parsetexi/input.c (convert_to_utf8): Use 
	ICONV_CONST in a variable declaration.

	All reported by Eli Zaretskii.

2019-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	pretest 6.5.92.

	* configure.ac: version

2019-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	Improve txicmdcheck.

	* doc/refcard/txicmdcheck: Special case for @& and @ampchar{}.
	* doc/refcard/txirefcard.tex: Add commands we deliberately 
	ignored at the end of the file.
	* doc/texinfo.texi (Command List): Add @&, @ampchar{}.

2019-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	Automatically build pod2texi.1 man page.

	* man/Makefile.am (pod2texi.1): Add rule.
	* configure.ac: Check for pod2man with AM_MISSING_PROG.
	* README-hacking: Remove instruction.

2019-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Update.

2019-02-01  Werner Lemberg  <wl@gnu.org>

	* doc/texinfo.tex (\setupverbatim): Fix a comment.

2019-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix too wide space in @verbatiminclude.

	* doc/texinfo.tex (\verbatiminclude): Confine the effect of 
	\indexnofonts to a group where the filename is read, as is done 
	in \include.  Otherwise, there is an inappropriate definition of 
	'\ ' while the file is being input.  Werner Lemberg reported 
	that a wider space would be output after a colon in a file input 
	with @verbatiminclude.

2019-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	Use 'id' instead of 'name'.

	* js/info.js (add_header, scan_toc): Use 'id' instead of 'name' 
	attribute.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Inline test script.

	* configure.ac: Load test module with "perl -e" instead of 
	running a separate script.
	* tp/Texinfo/XS/fail.pl: Remove this short file.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Unify AM_CFLAGS for XS modules.

	* tp/Texinfo/XS/Makefile.am (AM_CFLAGS): Put flags for C 
	compiler in here, rather than in target-specific variables.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix loading of XS module.

	* tp/Texinfo/Conver/Paragraph.pm: Use 0 as the XS interface 
	version number instead of 1.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Reorganize parsetexi header files.

	* tp/Texinfo/XS/parsetexi/tree_types.h,
	* tp/Texinfo/XS/parsetexi/parser.h (GLOBAL_INFO): Move to 
	parser.h.
	* tp/Texinfo/XS/parsetexi/extra.c (add_extra_index_entry): 
	Comment out function with preprocessor.
	* tp/Texinfo/XS/parsetexi/indices.c (enter_index_entry): Don't 
	call add_extra_index_entry.
	* tp/Texinfo/XS/parsetexi/tree_types.h,
	* tp/Texinfo/XS/parsetexi/indices.c (INDEX_ENTRY_REF):
	Move to indices.c.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Avoid a warning.

	* tp/Texinfo/XS/configure.ac: Get perl conf value 'optimize'.
	* tp/Texinfo/XS/Makefile.am (AM_CFLAGS): Add it.  This can avoid 
	a preprocessor warning about -DFORTIFY_SOURCE.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove ununused output variable.

	* tp/Texinfo/XS/configure.ac (XSPARAGRAPH_INTERFACE_VERSION):
	Do not set with AC_SUBST.  This was intended to be used when 
	building XSParagraph as a stand-alone module.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Use an m4 loop.

	* tp/Texinfo/XS/configure.ac (lookup_perl_conf_values): New 
	macro, to use m4_foreach (from autoconf m4sugar) to look up 
	several values with lookup_perl_conf.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Do not require xsubpp.

	* tp/Texinfo/XS/configure.ac: Check for xsubpp with 
	AM_MISSING_PROG instead of AC_PATH_PROG, as xsubpp is not 
	required unless a *.xs file is modified.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove unused type.

	* tp/Texinfo/XS/parsetexi/tree_types.h (DEF_ARGS_EXTRA): Remove.
	(Suggestion from Hans-Bernhard Bröker.)
	(INDEX_ENTRY_REF): Update comment.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Centralise parser configuration values.

	* tp/texi2any.pl: Refer to %default_customization_values in 
	Texinfo::Common instead of Texinfo::Parser.  Continues change 
	made on 2019-01-29.

2019-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	perldoc-all Makefile change

	* contrib/perldoc-all/GNUmakefile: Change distclean target to 
	dist-hook to avoid deleting inappropriate files with distclean.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Continue search after a node wasn't found.

	* info/session.c (info_search_internal): If a node couldn't be 
	found, go onto the next node.
	This could happen if there was a comma in a node name.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove duplicate sub definition.

	* Pod-Simple-Texinfo/pod2texi.pl (__): Remove definition as 
	there is already one exported by Texinfo::Common (for translated 
	strings).

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Try to fix contrib/perldoc-all.

	* contrib/perldoc-all/gendocs-sh: Add, from gendocs.sh in gnulib 
	project.
	* contrib/perldoc-all/Makefile.am: Access it instead of relying 
	on gendocs.sh being in path.  Do not remove *.?? (intending to 
	remove auxiliary index files) as this may delete the *.tar.gz 
	file the user has just downloaded.

	Keith Thompson reported problems with building Perl manuals with 
	this system.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Centralise parser configuration values.

	* tp/Texinfo/ParserNonXS.pm,
	* tp/Texinfo/Common.pm (%default_customization_values):
	Move to Common.pm.
	* tp/Texinfo/XS/parsetexi/Parsetexi.pm: Use this hash instead of 
	having a separate copy for this module.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove 'parent_type' field.

	* tp/Texinfo/XS/parsetexi/tree_types.h (ELEMENT):
	Remove field 'parent_type'.
	(enum route_element_type): Remove.
	* tp/Texinfo/XS/parsetexi/end_line.c (end_line_starting_block)
	(end_line),
	* tp/Texinfo/XS/parsetexi/indices.c (wipe_index),
	* tp/Texinfo/XS/parsetexi/api.c (build_perl_array)
	(build_single_index_data): Check whether 'parent' is null to see 
	if an element is in tree.  This should work for all elements 
	except the root of the tree.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove reference line numbers in parsetexi.

	* tp/Texinfo/XS/parsetexi: Remove most of the comments with what 
	the line numbers were of the corresponding Perl code at the time 
	that parsetexi was first started.  Leave some where more work 
	might be needed.
	* tp/Texinfo/XS/parsetexi/main.c: Remove.
	* tp/Texinfo/XS/parsetexi/Common.pm: Remove.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove old files from parsetexi subdirectory.

	* tp/Texinfo/XS/parsetexi/complete_tree.pl,
	* tp/Texinfo/XS/parsetexi/debug_perl.txt,
	* tp/Texinfo/XS/parsetexi/makeinfo-debug.txt: Remove.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove relics of ExtUtils::MakeMaker build system.

	* tp/Texinfo/XS/Makefile.PL,
	* tp/Texinfo/XS/MANIFEST,
	* tp/Texinfo/XS/prepare_standalone_perl_module.sh: Remove.
	* tp/Texinfo/XS/Makefile.am (perl_specific_files): Remove.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove relics of ExtUtils::MakeMaker build system.

	* tp/Makefile.PL, tp/MANIFEST: Remove.
	* tp/maintain/MANIFEST_generated_files: Remove.
	* tp/maintain/MANIFEST_perl_po: Remove.
	* tp/maintain/prepare_perl_module_files.sh,
	* tp/maintain/prepare_perl_standalone_module_archive.sh,
	* tp/maintain/clean_perl_module_files.sh: Remove.

	* tp/Makefile.am (MANIFEST, perl_specific_files): Remove.

	This was for creating "standalone modules", but it is 
	out-of-date, doesn't work and has never been used.

2019-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove test from 'many_input_files' subdirectory.

	* tp/tests/many_input_files/indices.sh: Remove.
	* tp/tests/indices/list_of_tests (index_table): New test to 
	partially replace indices.sh.  Only one input file is tested.

	This test tested that texi2any would work with several manuals 
	to process given to it on the command line.  I suspect this 
	feature is rarely used.  The extra complexity this gave to the 
	test suite is not worth it IMHO.
	Now the many_input_files subdirectory only contains the 
	latex2html and tex4ht tests, which are not run by default.

	I checks that the output for the index_table.texi file was the 
	same by checking the same files were output and that the 
	contents were the same, with a command like
	  for f in * ; do echo DIFF $f ;
	  diff $f ../../../many_input_files/indices_res/$f ; done

2019-01-28  Gavin Smith  <gavinsmith0123@gmail.com>

	Use 'id' instead of 'name' attribute.

	* tp/Texinfo/Convert/HTML.pm (_convert_footnote_command),
	(_default_contents):
	Use 'id' instead of 'name' attribute on <a> tag.

2019-01-27  Gavin Smith  <gavinsmith0123@gmail.com>

	Comments in parsetexi header files.

	* tp/Texinfo/XS/parsetexi: Add a brief comment at the start of 
	each header file.
	* tp/Texinfo/XS/parsetexi/tree_types.h,
	* tp/Texinfo/XS/parsetexi/conf.h (CONF): Move to conf.h.
	* tp/Texinfo/XS/parsetexi/errors.c: Remove #define _GNU_SOURCE.

2019-01-27  Gavin Smith  <gavinsmith0123@gmail.com>

	Header file changes and small fixes for parsetexi.

	* tp/Texinfo/XS/parsetexi/tree_types.h,
	* tp/Texinfo/XS/parsetexi/macro.h (INFO_ENCLOSE, MACRO):
	Move to text.h.
	* tp/Texinfo/XS/parsetexi/close.c (close_command_cleanup): Fix 
	incorrect comparison of enum values.
	* tp/Texinfo/XS/parsetexi/separator.c (handle_close_brace): 
	Remove an unused variable.
	* tp/Texinfo/XS/parsetexi/tree_types.h,
	* tp/Texinfo/XS/parsetexi/errors.h (enum error_type):
	Move to text.h.

2019-01-26  Bruno Haible  <bruno@clisp.org>

	Fix test failures on HP-UX.

	Reported by Richard Lloyd in
	<https://lists.gnu.org/archive/html/bug-texinfo/2013-02/msg00030.html>.

	* install-info/tests/ii-0041-test: Simulate zdiff.
	* install-info/tests/ii-0050-test: Likewise.

2019-01-25  Gavin Smith  <gavinsmith0123@gmail.com>

	Make "texi2dvi --command" work without @setfilename in file.

	* util/texi2dvi (insert_commands, usage):  Insert commands given 
	with --command even if no @setfilename line is present.
	* doc/texinfo.texi (Format with texi2dvi) <--command>: Remove 
	mention of @setfilename.

2019-01-25  Gavin Smith  <gavinsmith0123@gmail.com>

	Attempt to make test suite parallel safe.

	* tp/maintain/regenerate_cmd_tests.sh: Use 'mkdir -p' instead
	of testing whether directory exists.
	* tp/tests/run_parser_all.sh: Use 'mkdir -p' instead of testing 
	if a directory exists.  Do not delete a temporary directory at 
	the end.  Redirect stdin with "exec" instead of just redirecting 
	a "while" loop in order to avoid problem with redirecting output 
	under Solaris 10 shell.

	Andreas Schwab reported that the test suite was not parallel 
	safe.

2019-01-24  Gavin Smith  <gavinsmith0123@gmail.com>

	Pass on -D flags to texi2dvi.

	* tp/texi2any.pl: If calling texi2dvi, only pass along the 
	values of flags before the file is parsed: not the values after 
	the file is parsed.  These values might be wrong for the start 
	of the file.

	Stefan Husmann found that the Tramp manual wouldn't build with 
	pretest texinfo-6.5.91

2019-01-20  Gavin Smith  <gavinsmith0123@gmail.com>

	Check for gawk version for rebuilding texindex.awk.

	* configure.ac: Use AM_MISSING_PROG to look for gawk.
	* texindex/Makefile.am (texindex.awk, ti.twjr): Use $(GAWK) 
	instead of $(AWK).
	* texindex/jrtangle: Add a check for the version number of gawk 
	and, if too old, exit with status 63 in order to let the 
	"missing" script know it is too old.

	Bruno Haible reported that the rule to regenerate texindex.awk
	was being run on OpenBSD 6.3 where there was no gawk.

2019-01-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Documentation of colons in index entries.

	* doc/texinfo.texi (Index Commands):
	Water down the proscription of colons in an index entry, as this
	works with some Info readers.

2019-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	Split code into separate file.

	* tp/Texinfo/XS/parsetexi/conf.c: New file, along with header.  
	This helps us to avoid declaring the 'conf' variable in two 
	different header files.

2019-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	Rearrange header files.

	* tp/Texinfo/XS/parsetexi/debug.c: Include header file 
	containing declarations of functions in this file.
	* tp/Texinfo/XS/parsetexi/end_line.c,
	* tp/Texinfo/XS/parsetexi/separator.c: Remove an unnecessary #include.

2019-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove unused API functions.

	* tp/Texinfo/XS/parsetexi/Parsetexi.xs (element_type_name)
	(num_contents_children, num_args_children, contents_child_by_index):
	Remove ununused XSUB's.

	* tp/Texinfo/XS/parsetexi/api.c (num_contents_children) 
	(num_args_children): Remove unused.

2019-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XS/parsetexi/Parsetexi.pm: Remove a generated comment.

2019-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	Move function declarations to header file.

	* tp/Texinfo/XS/parsetexi/Parsetexi.xs: Move function 
	declarations to header file, api.h.  This means the compiler can 
	check the declarations are consistent with the definitions in 
	api.c.

2019-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove an unnecessary #include.

	* tp/Texinfo/XS/parsetexi/input.c,
	* tp/Texinfo/XS/parsetexi/parser.c: Remove an unnecessary 
	#include "api.h".

2019-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	Move a function between files.

	* tp/Texinfo/XS/parsetexi/api.c,
	* tp/Texinfo/XS/parsetexi/parser.c (element_type_name): Move to 
	parser.c.

2019-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove some unused variables.

	* tp/Texinfo/XS/parsetexi/separator.c (handle_close_brace):
	Remove some unused variables.

2019-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	pretest 6.5.91.

	* configure.ac: version

2019-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/man.c: Include stdio.h.

2019-01-12  Hans-Bernhard Bröker  <HBBroeker@t-online.de>  (tiny change)

	Fix some warnings.

	* tp/Texinfo/XS/parsetexi/close.c: Initialize a variable.

2019-01-12  Hans-Bernhard Bröker  <HBBroeker@t-online.de>  (tiny change)

	Fix some warnings.

	* tp/Texinfo/XS/parsetexi/end_line.c: Fix an unterminated 
	comment.
	(check_empty_node): Avoid reaching end of undefined function.
	* tp/Texinfo/XS/parsetexi/parser.c (register_global_command): 
	Add default cases.
	* tp/Texinfo/XS/parsetexi/multitable.c (gather_previous_item):
	Correct enum type in variable declaration.

2019-01-12  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove unused variables.

	* tp/Texinfo/XS/parsetexi/api.c (element_to_perl_hash),
	* tp/Texinfo/XS/parsetexi/parser.c (register_global_command)
	(process_remaining_on_line),
	* tp/Texinfo/XS/parsetexi/convert.c (expand_cmd_args_to_texi),
	* tp/Texinfo/XS/parsetexi/end_line.c (parse_line_command_args)
	(end_line_starting_block, end_line_misc_line),
	* tp/Texinfo/XS/parsetexi/macro.c (expand_macro_body),
	* tp/Texinfo/XS/parsetexi/handle_commands.c (handle_other_command),
	* tp/Texinfo/XS/parsetexi/def.c (split_delimiters, split_def_args)
	(parse_def): Remove declarations of unused variables.

2019-01-12  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove an unused variable.

	* tp/Texinfo/ParserNonXS.pm (_parse_texi): Remove an unused 
	variable.

2019-01-12  Gavin Smith  <gavinsmith0123@gmail.com>

	Add a default case.

	* tp/Texinfo/XS/parsetexi/parser.c (process_remaining_on_line): 
	Add an empty default clause in switch block.

2019-01-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XS/parsetexi: Fix implicit function declarations.

2019-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Make Parsetexi XS module conditional on iconv.

	* tp/Texinfo/XS/configure.ac: Add an AM_CONDITIONAL checking 
	whether gnulib found that iconv worked.
	* tp/Texinfo/XS/Makefile.am: Make building Parsetexi module 
	conditional.

2019-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Set PERL_EXT_var in configure.ac.

	* tp/Texinfo/XS/configure.ac,
	* tp/Texinfo/XS/Makefile.am: Move setting of CFLAGS, CPPFLAGS 
	and LDFLAGS from PERL_EXT_CFLAGS, PERL_EXT_CPPFLAGS and 
	PERL_EXT_LDFLAGS from Makefile.am to configure.ac in order that 
	they are used during the Gnulib checks.  Report from Bruno Haible.

2019-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	No buffering for pseudotty output.

	* info/pseudotty.c: Set VMIN value on the c_cc array in the 
	termios structure to 1, meaning 'read' can return with a single 
	byte.  (The default value on Solaris 10 was found to be 4, which 
	may be C-d for end-of-file.)  Also set VTIME to 0.

2019-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Turn off canonical input processing in pseudotty.

	* info/pseudotty.c [HAVE_TERMIOS_H]: Clear the ICANON and ECHO 
	flags.

	In the test suite, if bytes were passed through the pseudotty 
	program before ginfo could make this change, they could be 
	subject to undesired processing.  This was not apparent as info 
	treated '\n' the same as '\r'.  This could be shown by using a 
	"dribble" file and inserting a "sleep" in one of the test scripts.
	Tests were failing on Solaris 10 and Solaris 11 because bytes 
	that were supposed to be sent to ginfo were being buffered, 
	awaiting a newline.

2019-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Do not send debug output to infodebug file.

	* info/session.c (vinfo_debug): Always sent debugging output to 
	stderr.
	(close_debugfile, debug_file): Remove.
	* doc/info-stnd.texi (Invoking Info): Update.
	* NEWS: Mention change.

	This is to make all the debugging output from info appear 
	together in a log files when output is diverted from a test 
	script.

2019-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Avoid possible infinite loop in info test suite.

	* info/t/replace-viewed.sh: Replace a loop that waits for ginfo 
	to create a file with a "sleep" statement.  If the file weren't 
	created, this would be an infinte loop.

2019-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove useless code in info test suite.

	* info/t/replace-viewed.sh,
	* info/t/resize-in-completions: Do not check for a variable 
	having a value that no code sets it to.  This has been the case 
	since the way the PID of the process was found changed.

2019-01-06  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix info tests under Solaris.

	* info/pseudotty.c [__sun]: Additionally perform a "ttycompat"
	ioctl on the slave fd.  This is what is done in the gnulib 
	openpty module.  Since these ioctls were no longer guarded by 
	isatty, it would lead to some of the info tests failing.  I 
	don't know under what conditions the ioctls are actually needed 
	under Solaris: possibly they aren't needed at all.

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Include iconv.h unconditionally.

	* tp/Texinfo/XS/parsetexi/input.c: Do not depend on HAVE_ICONV 
	for #include <iconv.h>.  Use of iconv_t, iconv_open etc. later 
	on in the file is not conditional, and we don't have a way to 
	avoid using these.  It's possible that gnulib set HAVE_ICONV to 
	0 because it found that iconv.h was buggy, even if it existed.

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Don't use variable in SOURCES in Makefile.am.

	* tp/Texinfo/XS/Makefile.am (Parsetexi_la_SOURCES, BUILT_SOURCES):
	Write out "parsetexi" explicitly instead of hiding it inside $p.
	Although the latter works with automake 1.16 (which we are 
	using), the OpenCSW buildbot still uses automake 1.15.1, leading 
	to build failures.

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Integrate parsetexi with gnulib.

	* tp/Texinfo/XS/parsetexi/input.c: Do not define ICONV_CONST.

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Fall back to pure Perl module when TEXINFO_XS_PARSER is set.

	* tp/Texinfo/Parser.pm, tp/Texinfo/ParserNonXS.pm: Rename file.
	* tp/Texinfo/ParserNonXS.pm: Make module symbols available under 
	both Texinfo::Parser and Texinfo::ParserNonXS.
	* tp/Texinfo/ModulePath.pm.in: If TEXINFO_XS_PARSER is not set, 
	load Texinfo/ParserNonXS.pm instead of Texinfo/Parser.pm.
	* tp/Texinfo/XS/parsetexi/Parsetexi.pm: Pass Texinfo::ParserNonXS
	as a fallback module to Texinfo::XSLoader::init.  Comment out 
	line to reset_parser in END block, as this won't work if 
	Texinfo::ParserNonXS is loaded.

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix info test suite hang under HP-UX 11.31.

	* info/pseudotty.c [HAVE_STROPTS_H]: Do not call isatty on 
	pseudoterminal file descriptor.  Bruno Haible reported that this 
	made a test hang.  Do not use HAVE_STROPTS_H condition: replace 
	with "#if defined(__hpux) || defined(__sun)", as is done in 
	gnulib.  Remove some commented-out code.
	* configure.ac (AC_CHECK_HEADERS): Do not check for stropts.h.

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Improve XS loading error message.

	* tp/Texinfo/XSLoader.pm: Improve error message in the case that 
	a module couldn't be loaded.

2019-01-05  Bruno Haible  <bruno@clisp.org>

	Fix build errors on AIX 7.1.

	* info/Makefile.am (LDADD),
	* install-info/Makefile.am (LDADD): Add $(LIBTHREAD).

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Check for Data::Dumper.

	* configure.ac: Check for Data::Dumper as well as Encode.  Bruno 
	Haible reported that Data::Dumper was missing on CentOS 7.3.

2019-01-05  Gavin Smith  <gavinsmith0123@gmail.com>

	Combine Makefiles for XS modules.

	* tp/Texinfo/XS/configure.ac (AC_CONFIG_FILES): Remove Makefile 
	in parsetexi subdirectory.
	* tp/Texinfo/XS/Makefile.am: Merge in contents of 
	tp/Texinfo/XS/parsetexi/Makefile.am.
	* tp/Texinfo/XS/parsetexi/Makefile.am: Remove file.

	This means that passing -lperl when linking will always be 
	conditional on HOST_NEEDS_NO_UNDEFINED.

2019-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	pretest 6.5.90.

	* configure.ac: version

2019-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XS/parsetexi: Include config.h in all files.

2019-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	Update texinfo-tex-test.texi.

	* doc/texinfo-tex-test.texi (Final page of index hard to balance):
	Update the description of what the output should look like.  
	(Changed on 2017-11-16).

2019-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/Makefile.am (EXTRA_DIST): List texinfo-tex-test.WIDOWs.

2019-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	Update copyright years.

	* info/info.c (main),
	* texindex/ti.twjr: 2019.

2019-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	Prepare for pretest release.

	* util/srclist-txi: Remove EMACSSRC.
	Add a per-user override.
	* util/srclist.txt: Remove info.texi, as this is not distributed 
	with Texinfo any more.  Update to three-column format used now 
	by gnulib srclist-update.  Update locations of automake files.
	* README-hacking: Update instructions for git.
	* configure.ac (TEXINFO_DTD_VERSION): Increase to 6.6.
	* doc/refcard/txirefcard.tex: Update version and copyright year.  
	Document @& and @ampchar.

2019-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: automake 1.16.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Remove some obsolete or personal instructions.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/multiple-completions.sh: New test.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix unclosed @inlinefmtifelse.

	* tp/Texinfo/XS/parsetexi/separator.c (handle_comma): If we run 
	out of input inside @inlinefmtifelse, exit the function.  This 
	matches change to Perl code made on 2018-10-29.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Update instructions to use git.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Update gnulib.

	* (top-level), tp/Texinfo/XS: Run gnulib-tool --add-import.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove documentation of \ifusebracesinindexes conditional.

	* doc/texinfo.tex: Add a comment at definition of 
	\ifusebracesinindexes.
	* doc/texinfo.texi: Remove use of \usebracesinindexestrue.
	(Details of texindex): Remove the documentation of it.
	* NEWS: Mention that this is not required any more.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Update refcard.

	* doc/refcard/txirefcard.tex: @setfilename is no longer 
	mandatory.  Do not mention @validatemenus or explicitly giving 
	@node pointers, as these are not very important features.  

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/sectioning/Makefile.am: Update file list.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Finish removing 'FIX_TEXINFO'.

	* tp/Texinfo/Common.pm (@variable_string_settables): Remove 
	'FIX_TEXINFO'.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Update NEWS.

	* NEWS: Mention change to use 'id' attribute.  Mention that 
	texi2any can pass flags set with -D on to TeX.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove SVN keyword.

	* util/texi2dvi (version): Do not use '$Revision$' keyword as 
	this doesn't work with git.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Update instructions for git.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Ignore .git directories in dist-hook.

	* Makefile.am (dist-hook),
	* tp/Makefile.am (dist-hook),
	* tp/tests/Makefile.am (dist-hook),
	* tp/tests/contents/Makefile.am (dist-hook),
	* tp/tests/coverage/Makefile.am (dist-hook),
	* tp/tests/formatting/Makefile.am (dist-hook),
	* tp/tests/indices/Makefile.am (dist-hook),
	* tp/tests/layout/Makefile.am (dist-hook),
	* tp/tests/many_input_files/Makefile.am (dist-hook),
	* tp/tests/nested_formats/Makefile.am (dist-hook),
	* tp/tests/sectioning/Makefile.am (dist-hook),
	* tp/tests/tex_html/Makefile.am (dist-hook): Remove .git directories
	instead of removing .svn directories.

2019-01-03  Gavin Smith  <gavinsmith0123@gmail.com>
